Skip to main content

Get Business Verification Status

This endpoint retrieves the current business banking verification status and details for a specific account, including ownership records and uploaded documents.

Authorization:

bearer

HTTP: bearer

HTTP Authorization Scheme: bearer

Headers:
Authorization: APIKey {YOUR_API_KEY}

Endpoint

GET

/api/v2/kyb/banking-verification/business/{accountId}

Path Parameters

ParameterTypeDescription
accountIdstring (uuid)Required. The account ID.

Response Sample

{
"accountId": "00000000-0000-0000-0000-000000000000",
"status": "in_review",
"name": "Acme Corporation",
"dbaName": "Acme Corp",
"phone": "+1234567890",
"address": {
"address1": "123 Business Ave",
"address2": "Suite 500",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "US"
},
"idNumber": "123456789",
"idDocumentType": "ein",
"taxNumber": "123456789",
"entityType": "corporation",
"formationDate": "2021-12-31",
"incorporationState": "NY",
"website": "https://acme.com",
"operationAddress": {
"address1": "456 Operations Blvd",
"city": "New York",
"state": "NY",
"postalCode": "10002",
"country": "US"
},
"owners": [
{
"ownerId": "00000000-0000-0000-0000-000000000001",
"status": "approved",
"verificationUrl": "https://verify.blockwyre.com/v/abc123def456",
"firstName": "John",
"lastName": "Wick",
"email": "jwick@blockwyre.com",
"phone": "+1234567890",
"dateOfBirth": "1990-05-15",
"documentId": {
"idNumber": "123456789",
"idDocumentType": "passport",
"idIssueDate": "2020-01-01",
"idExpiryDate": "2030-01-01",
"idCountryOfIssue": "US",
"nationality": "US"
},
"address": {
"address1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "US"
},
"ownershipPercentage": 100,
"role": "owner"
}
],
"verificationFiles": [
{
"documentType": "certificate_of_incorporation",
"size": 1234567
}
],
"eventHistory": [
{
"status": "in_review",
"statusReason": "Verification submitted",
"date": "2023-01-01T10:00:00Z"
}
],
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T10:00:00Z"
}

Support and Resources

If you need assistance or have any questions, our support team is here to help. You can contact our support team at support@blockwyre.com.

Stay Updated

Stay up-to-date with the latest news, updates, and features from BlockWyre by following us on social media:

We are excited to have you on board and look forward to seeing how you leverage BlockWyre's powerful tools to enhance your financial operations. Happy integrating!